[arch-commits] Commit in haskell-ghcide/repos (2 files)

Felix Yan felixonmars at archlinux.org
Tue Jun 8 02:15:36 UTC 2021


    Date: Tuesday, June 8, 2021 @ 02:15:36
  Author: felixonmars
Revision: 958490

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-ghcide/repos/community-staging-x86_64/
  haskell-ghcide/repos/community-staging-x86_64/PKGBUILD
    (from rev 958489, haskell-ghcide/trunk/PKGBUILD)

----------+
 PKGBUILD |   78 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

Copied: haskell-ghcide/repos/community-staging-x86_64/PKGBUILD (from rev 958489, haskell-ghcide/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2021-06-08 02:15:36 UTC (rev 958490)
@@ -0,0 +1,78 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=ghcide
+pkgname=haskell-ghcide
+pkgver=1.2.0.2
+pkgrel=19
+pkgdesc="The core of an IDE"
+url="https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme"
+license=("Apache")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-diff' 'haskell-glob' 'haskell-aeson' 'haskell-aeson-pretty'
+         'haskell-async' 'haskell-base16-bytestring' 'haskell-bytestring-encoding'
+         'haskell-case-insensitive' 'haskell-cryptohash-sha1' 'haskell-data-default'
+         'haskell-dependent-map' 'haskell-dependent-sum' 'haskell-dlist' 'haskell-extra'
+         'haskell-fingertree' 'haskell-fuzzy' 'haskell-ghc' 'haskell-ghc-check'
+         'haskell-ghc-exactprint' 'haskell-ghc-paths' 'haskell-ghc-trace-events' 'haskell-gitrev'
+         'haskell-haddock-library' 'haskell-hashable' 'haskell-heapsize' 'haskell-hie-bios'
+         'haskell-hie-compat' 'haskell-hiedb' 'haskell-hls-plugin-api' 'haskell-hslogger'
+         'haskell-implicit-hie-cradle' 'haskell-lens' 'haskell-lsp' 'haskell-lsp-test'
+         'haskell-lsp-types' 'haskell-network-uri' 'haskell-opentelemetry'
+         'haskell-optparse-applicative' 'haskell-parallel' 'haskell-prettyprinter'
+         'haskell-prettyprinter-ansi-terminal' 'haskell-regex-tdfa' 'haskell-retrie'
+         'haskell-rope-utf16-splay' 'haskell-safe' 'haskell-safe-exceptions' 'haskell-shake'
+         'haskell-sorted-list' 'haskell-sqlite-simple' 'haskell-syb' 'haskell-unliftio'
+         'haskell-unliftio-core' 'haskell-unordered-containers' 'haskell-utf8-string'
+         'haskell-vector')
+makedepends=('ghc' 'uusi' 'haskell-quickcheck' 'haskell-ghc-typelits-knownnat'
+             'haskell-implicit-hie' 'haskell-quickcheck-instances' 'haskell-record-dot-preprocessor'
+             'haskell-record-hasfield' 'haskell-tasty' 'haskell-tasty-expected-failure'
+             'haskell-tasty-hunit' 'haskell-tasty-quickcheck' 'haskell-tasty-rerun')
+checkdepends=('cabal-install')
+# Hackage tarball is missing test data
+#source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
+source=("https://github.com/haskell/haskell-language-server/archive/$_hkgname-v$pkgver.tar.gz")
+sha512sums=('cdb58f3e511da37d2b7587c332f1e5bd420de99ec7fc0b5ea2eb0ba7e8fec4ec8b3854e33f2a8358b560149258abe7c1781d65a66fd21a1b40c9fbf82d159a75')
+
+prepare() {
+  cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+  gen-setup
+  find test/data -name \*.cabal -exec uusi --add-options-all=-dynamic {} \;
+
+  # TODO: Skipped some broken tests for now
+  sed -i '/, benchmarkTests/d;/, findDefinitionAndHoverTests/d;/, bootTests/d;s/, simpleMultiDefTest//;s/echo A.hs/echo -dynamic > $HIE_BIOS_OUTPUT/' test/exe/Main.hs
+}
+
+build() {
+  cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+
+  runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+    --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+    --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+    --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
+    --ghc-option='-pie'
+
+  runhaskell Setup build $MAKEFLAGS
+  runhaskell Setup register --gen-script
+  runhaskell Setup unregister --gen-script
+  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+  cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+  cabal update
+  # Random test failures "Received an illegal message between the initialize request and response"
+  # th-linking-test-unboxed always fails too
+  PATH="$PWD/dist/build/ghcide:$PWD/dist/build/ghcide-test-preprocessor:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+  cd haskell-language-server-$_hkgname-v$pkgver/$_hkgname
+
+  install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+  install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+  runhaskell Setup copy --destdir="$pkgdir"
+  install -D -m644 LICENSE -t "$pkgdir"/usr/share/licenses/$pkgname/
+  rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}



More information about the arch-commits mailing list